/*
Theme Name: TMS Child Theme
Theme URI: 
Description: A child theme for TMS Base Theme, allowing custom styling and functionality without modifying the parent theme.
Template: tms-wp-theme
Author: TMS WP Team
Author URI: 
Version: 2.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: tms-child-theme
Tags: child-theme
*/

/*
 * Add your custom styles below this line
 * These styles will override parent theme styles
 */

/* Example: Custom primary color override */
/*
:root {
  --wp--preset--color--tms-primary: #your-color-here;
}
*/

/* Example: Custom header styles */
/*
.site-header {
  background-color: #your-color-here;
}
*/

/* Add your custom CSS here */
.hero-video-wrapper .tms-button--primary:hover,
.hero-simple-wrapper .hero-simple__button-group .tms-button--solid-white:hover{
  background: var(--wp--preset--color--tms-white);
  border-color: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-solid-white-button-text-color);
}
.content-buckets-large-item .content-buckets-large-item__hidden-wrapper{
  opacity: 0;
  max-height: var(--desktopHeight);
  transition: unset;
  position: absolute;
}
 .content-buckets-large-item:hover .content-buckets-large-item__hidden-wrapper{
  opacity: 1;
  position: relative;
 }
 .content-buckets-large-item__title{
  transition: all 0.3s ease-in-out;
 }
 .content-buckets-large-item:before,
 .content-buckets-large-item:hover .wp-block-tms-blocks-content-buckets-large-item,
 .content-buckets-large-item:hover .content-buckets-large-item__hidden-wrapper{
  transition: all 0.2s ease-in-out;
 }
.content-buckets-large-item .wp-block-tms-blocks-content-buckets-large-item{
  height: var(--desktopHeight);
  justify-content: flex-end;
  transition: unset;
}
.content-buckets-large-item:hover .wp-block-tms-blocks-content-buckets-large-item{
  height: var(--desktopHeight);
  justify-content: center;
}
.wp-block-latest-posts.wp-block-latest-posts__list li .wp-block-latest-posts__post-title{
  text-decoration: unset;
  display: block;
  margin-bottom: 10px;
}
.wp-block-latest-posts.wp-block-latest-posts__list li .wp-block-latest-posts__post-excerpt{
  font-size: 16px;
}
.last-post-tmp{
  display: flex;
  align-items: stretch;
  gap: 30px;
}
.last-post-tmp> li{
  width: 33.33%;
}
.last-post-tmp .wp-block-latest-posts__featured-image a,
.last-post-tmp .wp-block-latest-posts__featured-image a img{
  width: 100%;
  object-fit: cover;
  max-width: 100% !important;
}
.last-post-tmp .wp-block-latest-posts__featured-image a img{
  height: 220px;
}
.content-logo--grid .content-logo__items{
  max-width: 1180px;
  margin-left: auto;
  margin-right: auto;
}
.home .hero-video-wrapper{
  height: clamp(600px, 100vh, 900px);
  margin-top: -100px;
  padding-bottom: 0 !important;
  
}
.home .hero-video__inner{
  padding-bottom: 100px;
}
.video-post-custom *{
  height: 420px !important;
}
footer{
  margin-top: 0;
}
.module-fw{
  max-width: 100%;
}
.module-fw .wp-block-cover__inner-container{
  max-width: 1280px;
}
.module-fw .wp-block-media-text>.wp-block-media-text__content{
  padding: 0;
}
.entry-content:has(.module-fw){
  padding: 0 !important;
}
.module-fw .wp-block-media-text{
  gap: 50px;
}
.hero-simple-wrapper{
  margin-top: 0;
}
.hero-simple-wrapper .hero-simple__inner{
  gap: 0;
}
.hero-simple-wrapper .hero-simple__button-group{
  margin-top: 24px;
}
.content-small-cards-w-image .content-card-item--description-below .content-card-item__description{
  flex-direction: column;
}
.hero-simple-wrapper .hero-simple__button-group .tms-button--outline-white{
  font-size: 18px;
  line-height: 1.33;
  font-weight: 500;
  min-width: 200px;
  background: transparent;
  border-color: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-white);
}
.hero-simple-wrapper .hero-simple__button-group .tms-button--outline-white:hover{
  background: var(--wp--preset--color--tms-primary);
}
.hero-simple-wrapper .hero-simple__button-group .tms-button--solid-white{
  font-size: 18px;
  line-height: 1.33;
  font-weight: 500;
  min-width: 200px;
  background: var(--wp--preset--color--tms-primary);
  border-color: var(--wp--preset--color--tms-primary);
  color: var(--wp--preset--color--tms-white);
}

.blog-cards-over-background-image{
  padding-top: 100px;
  margin-top: 0;
  padding-bottom: 100px;
}
.blog-cards-over-background-image__read-more-button-wrapper{
  margin-top: 40px;
}
.blog-cards-over-background-image__read-more-button-wrapper .tms-button--primary{
  font-size: 21px;
  line-height: 1.33;
  padding: 12px 16px;
}
.blog-cards-over-background-image__read-more-button-wrapper .tms-button--primary:hover{
  background: var(--wp--preset--color--tms-neutral-dark-2);
  border-color: var(--wp--preset--color--tms-neutral-dark-2);
  color: var(--wp--preset--color--tms-white);
}
.blog-cards-over-background-image__wrapper--has-4-posts{
  gap: 28px;
}
.blog-cards-over-background-image__post-card{
  justify-content: flex-start;
}
.blog-cards-over-background-image__post-card-title{
  padding: 0;
  font-size: 21px;
  line-height: 1.33;
}
.blog-cards-over-background-image__post-card-content{
  padding: 0;
}
.blog-cards-over-background-image__post-card-read-more{
  margin-top: 16px;
  padding: 0;
}
.content-icon-list{
  margin-top: 0;
}
.content-icon-list .tms-button--medium:hover{
  background: var(--wp--preset--color--tms-primary);
  border-color: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-white);
}
.content-icon-list .tms-button--medium{
  font-size: 18px;
  font-weight: 500;
  padding: 12px;
  line-height: 1.33;
}
.content-icon-list .content-icon-list__item-wrapper{
}
.content-tabs-left-image-text-right__wrapper .tabs-content .wp-block-image img{
  width: 100%;
  height: 232px;
  object-fit: cover;
}
.content-tabs-left-image-text-right__wrapper .content-tabs-left-image-text-right__nav .content-tabs-left-image-text-right__title{
  margin-top: 0;
}
.content-tabs-left-image-text-right__wrapper .tabs-content .content-tabs-left-image-text-right__title{
  margin-top: 16px;
  font-size: 28px;
  line-height: 1.42;
}
.content-tabs-left-image-text-right__wrapper{
  padding-top: 100px;
  padding-bottom: 100px;
}
.content-buckets-large__wrapper .content-buckets-large__button-group .tms-button--primary{
  min-width: 200px;
}
.content-logo--carousel{
  margin-top: 0;
}
.content-logo--carousel .wp-block-heading{
  margin-bottom: 40px;
}
.wp-block-tms-blocks-content-buckets-large{
  margin-top: 0;
}
.content-buckets-large__wrapper .content-buckets-large__button-group{
  gap: 32px;
}
.content-buckets-large__wrapper .content-buckets-large__button-group .tms-button--primary:hover{
  color: var(--wp--preset--color--tms-white);
  background: var(--wp--preset--color--tms-neutral-dark-2);
  border-color: var(--wp--preset--color--tms-neutral-dark-2);
}
.content-buckets-large__wrapper .content-buckets-large__button-group .tms-button--solid-white{
  min-width: 200px;
  border-color: var(--wp--preset--color--tms-primary);
  background: transparent;

}
.content-buckets-large__wrapper .content-buckets-large__button-group .tms-button--solid-white:hover{
  background: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-black);
}
.content-buckets-large-item:hover:before{
  background: var(--wp--preset--color--tms-primary);
}
.content-buckets-large .content-buckets-large__controller > .content-buckets-large__items{
  gap: 32px;
}
.content-buckets-large .content-buckets-large__controller > .content-buckets-large__items .tms-button{
  font-weight: 500;
  border-width: 1px;
  border-color: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-white);
}
.home .hero-video-wrapper {
  justify-content: flex-end;
  padding-bottom: 100px;
}
.home .hero-video-wrapper .btn-play-video .tms-button--outline-white{
  font-weight: 500;
  border-width: 1px;
}
.home .hero-video-wrapper .btn-play-video .tms-button--outline-white:hover{
  border-color: var(--wp--preset--color--tms-white);
  color: var(--wp--preset--color--tms-white);
  background: var(--wp--preset--color--tms-neutral-dark-2);
}

.tms-button--primary:hover{
  background-color: var(--wp--preset--color--tms-neutral-dark-2);
  border-color: var(--wp--preset--color--tms-neutral-dark-2);
  color: var(--wp--preset--color--tms-white);

}
.tms-button--solid-white:hover{
  color: var(--wp--preset--color--tms-white);
}
header .tms-button--primary:hover{
  background-color: var(--wp--preset--color--tms-neutral-dark-2);
  border-color: var(--wp--preset--color--tms-neutral-dark-2);
  color: var(--wp--preset--color--tms-white);
}
header .content-search-overlay__trigger .content-search-overlay__icon--search{
  display: flex;
}
header .tms-nav.tms-hide-desktop .wp-block-navigation div.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item.has-child.wp-block-navigation-submenu .wp-block-navigation-submenu__toggle~ul.wp-block-navigation__submenu-container.custom-active{
  padding-top: 0;
}
@media(min-width: 1025px) and (max-width: 1245px) {
  header .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content{
    font-size: 13px;
  }
  header  .content-search-overlay__label{
    font-size: 13px;
  }
  header .tms-button--medium{
    font-size: 13px;
  }
  header .wp-block-navigation__container,
  header .tms-nav .tms-main-nav-wrapper{
    gap: 15px;
  }
  header .content-icon-paragraph__wrapper > span{
    display: none;
  }
  header .tms-nav>.wp-block-group-is-layout-flex{
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}
@media(min-width: 1025px){
  header .tms-nav ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu{
    padding: 0 !important;
    flex-wrap: nowrap;
    gap: 0 !important;
  }
  header .tms-nav.tms-hide-mob nav.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content{
    padding: 20px 15px;
    color: var(--wp--preset--color--tms-neutral-dark-2);
  }
  header .tms-nav.tms-hide-mob nav.wp-block-navigation .wp-block-navigation-item.wp-block-navigation-link.current-menu-item .wp-block-navigation-item__content{
    color: var(--wp--preset--color--tms-primary);
  }
  header .tms-nav.tms-hide-mob nav.wp-block-navigation .wp-block-navigation__container>.wp-block-navigation-item.current-menu-ancestor{
    color: var(--wp--preset--color--tms-primary);

  }
}
@media(max-width: 1024px){
  .content-icon-list__column-img {
        min-height: 100vw;
  }
  .content-icon-list__content-wrapper{
    padding-left: 20px !important;
    padding-right: 20px !important;
  }
}
@media(max-width: 960px){
  .home .hero-video-wrapper{
    margin-top: 0;
    height: max-content;
    min-height: 100vh;
  }
  .last-post-tmp{
    display: flex;
    align-items: stretch;
    flex-direction: column;
    gap: 30px;
  }
  .last-post-tmp .wp-block-latest-posts__featured-image a img{
    height: auto;
  }
  .last-post-tmp> li{
    width: 100%;
  }
}
@media (max-width: 768px) {
  .content-buckets-large__wrapper .content-buckets-large__button-group>*{
    margin-top: 0 !important;
  }
  .content-buckets-large__wrapper .content-buckets-large__button-group{
    margin-top: 2.5rem !important;
  }
  .content-buckets-large__controller {
      overflow: visible !important;
  }

  .content-buckets-large__items {
      display: flex !important;
      flex-wrap: wrap !important;
      transform: none !important;
      width: 100% !important;
  }

  .content-buckets-large-item {
      width: 100% !important;
      margin-right: 0 !important;
  }

  .swiper-button-prev,
  .swiper-button-next,
  .swiper-pagination {
      display: none !important;
  }
}
@media(max-width: 767px){
  h1{
    font-size: 36px !important;
  }
  h2{
    font-size: 32px !important;
  }
  .home .hero-video__title{
    font-size: 36px !important;
  }
  .home .hero-video--text-centered-middle-background .hero-video__description{
    font-size: 18px !important;
  }
  .home .hero-video__button-group .tms-button--large, 
  .home .hero-video__button-group .tms-button--xlarge{
    font-size: 18px !important;

  }
  .content-tabs-left-image-text-right__wrapper{
    padding-top: 50px;
    padding-bottom: 50px;
  }
  .content-tabs-left-image-text-right .content-tabs-left-image-text-right__title--mobile{
    margin: 0;
    padding-top: 0;
  }
}
@media(max-width: 600px){
  .module-fw .wp-block-media-text .wp-block-media-text__media{
    display: flex;
    justify-content: center;
  }
  .module-fw .wp-block-media-text .wp-block-media-text__media img{
    width: auto;
    margin: 0 auto;
  }
}
